Throwable::getMessage
Throwable::getFile
Throwable
PHP Manual

# Throwable::getCode

(PHP 7)

Throwable::getCode — Gets the exception code

### Description

abstract public int Throwable::getCode ( void )

Returns the error code associated with the thrown object.

### Parameters

This function has no parameters.

### Return Values

Returns the exception code as integer in Exception but possibly as other type in Exception descendants (for example as string in PDOException).

### See Also

- Exception::getCode() - Gets the Exception code

Throwable::getMessage
Throwable::getFile
Throwable
PHP Manual